# mbSTATS

`mbSTATS` is a Python library designed for statistical analysis and data visualization, tailored for metabolomics research. It provides easy-to-use methods for data normalization, PCA, HCA, correlation matrix visualization, and other statistical tools to analyze metabolomics data.

## Features

- **Data Normalization**: Several normalization methods to preprocess metabolomics data for downstream analysis.
- **Statistical Analysis**: Perform PCA (Principal Component Analysis), HCA (Hierarchical Cluster Analysis), and generate correlation matrices.
- **Visualization**: Plot group averages, density distributions, and heatmaps for easy data interpretation.
- **Extensible**: Built with flexibility in mind to allow for additional statistical and visualization methods to be added as needed.

## Installation

You can install the latest release of `mbSTATS` from PyPI:

```bash
pip install mbSTATS 
```

To install in a Notebook:
```bash 
!pip install mbSTATS 
```

Alternatively, if you want to install directly from the GitHub repository:

```bash
pip install git+https://github.com/Satvik713/mbSTATS.git
```

